package admin

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
	"server/middleware"
)

type DeviceGenreRouter struct{}

func (dgr *DeviceGenreRouter) InitDeviceGenreRouter(Router *gin.RouterGroup) {
	deviceGenreRouter := Router.Group("deviceGenre").Use(middleware.OperationRecord())
	deviceGenreRouterWithoutRecord := Router.Group("deviceGenre")
	deviceGenreRouterApi := v1.ApiGroupApp.AdminApiGroup.DeviceGenreApi
	{
		deviceGenreRouter.POST("createDeviceGenre", deviceGenreRouterApi.CreateDeviceGenre)
		deviceGenreRouter.PUT("updateDeviceGenre", deviceGenreRouterApi.UpdateDeviceGenre)
		deviceGenreRouter.DELETE("deleteDeviceGenre", deviceGenreRouterApi.DeleteDeviceGenre)
	}
	{
		deviceGenreRouterWithoutRecord.GET("queryAllDeviceGenres", deviceGenreRouterApi.QueryAllDeviceGenres)
	}
}
